#include <stdio.h>
#include <stdlib.h>

main()
{
  int N,M;
  scanf("%d %d",&N,&M);

  if(N<1 || N>100000 || M<1 || M>100000){
    return 0;
  }

  int niz1[N];
  int druzeljubOsoba;
  for(int i = 0;i<N;i++){
    scanf("%d",&druzeljubOsoba);
    if(druzeljubOsoba<-1000000000 || druzeljubOsoba>1000000000){
        return 0;
    }
    niz1[i] = druzeljubOsoba;
  }


 int mat[M][2];
 int X,Y;
 for(int i = 0; i<M;i++){
    scanf("%d %d",&X,&Y);
    if(X <1 || X > N || Y<1 || Y>N || X == Y){
        return 0;
    }

    mat[i][0] = X;
    mat[i][1] = Y;
 }

 int parovi;
 int plus = 0;
 int razlika = 0;
 for(int i = 0; i< N;i++){
    parovi = 0;
    kolikoImaParovaZaOdredjenuOsobu(mat,M,i+1,&parovi);
   if(parovi == 0){
    continue;
   }

   plus += niz1[i]*parovi;
   razlika += niz1[i]*(0-parovi);
 }

if(plus > razlika){
    printf("%d",plus);
}else{
printf("%d",razlika);
}

}

void kolikoImaParovaZaOdredjenuOsobu(int mat[][2],int M,int i,int* parovi){
    for(int m = 0;m<M;m++){
        for(int j = 0;j<2;j++){
            if(mat[m][j] == i){
                (*parovi)++;
            }
        }
    }
}